pallet = {
  "n":(0,0,0),
  "b":(60,60,248),
  "v":(0,255,0),
  "r":(240,90,50),
  "g":(180,180,180),
  "G":(124,124,124),
  "m":(160,160,0),
  "j":(240,240,0),
  "w":(255,255,255),
  "c":(250,235,215) 
}
sprite = ["\
mmmmmmmmmmmmmmmm\
mmmmGmmmmGmmmmGm\
mGGGGmGGGGmGGGGm\
mmmmmmmmmmmmmmmm\
mmGmmmmmmmmGmmGm\
mGGmGGGGGGGGmGGm\
mmmmmmmmmmmmmmmm\
mmmmGmmmmGmmmmGm\
mGGGGmGGGGmGGGGm\
mmmmmmmmmmmmmmmm\
mmGmmmmmmmmGmmGm\
mGGmGGGGGGGGmGGm\
mmmmmmmmmmmmmmmm\
mmmmGmmmmGmmmmGm\
mGGGGmGGGGmGGGGm\
mmmmmmmmmmmmmmmm",

"\
mmmmmmmmmmmmmmmm\
mmmmGmmmmGmmmmGm\
mGGGGmGGGGmGGGGm\
mmmmmmmmmmmmmmmm\
mmmGmwwwwwwmmmmG\
GGGGwGGGGGGwGGGG\
mmmwGGwwwwGGwmmm\
mmGwGwwwgwwGwmmG\
GGGwGwwgwgwGwGGG\
mmmwGwgwgwwGwmmm\
mmGwGwwwwwwGwmmG\
GGGwGGGGGGGGwGGG\
mmmmwwwwwwwwmmmm\
mmmmGmmmmGmmmmGm\
mGGGGmGGGGmGGGGm\
mmmmmmmmmmmmmmmm",

"\
mmmmmmmmmmmmmmmm\
mmmmGmmmmGmmmmGm\
mGGGGmGGGGmGGGGm\
mmmmmwwwwwwmmmmm\
mGmmwnnnnnnwmmmG\
GGmwnnwwwwnnwmGG\
mmmwnwwwgwwnwmmm\
mGmwnwwgwgwnwmmG\
GGmwnwgwgwwnwmGG\
mmmwnGwwwwGnwmmm\
mGmwngGGGGgnwmmG\
GGmwnggggggnwmGG\
mmmwnggggnnnwmmm\
mGmwnggggggnwmmG\
GGmwnggggggnwmGG\
mmmmmmmmmmmmmmmm",


"\
nnnnnnnnnnnnnnnn\
wwwwwwwwwwwwwwww\
nnnnnnnnnnnnnnnn\
nwnwnwnwnwnwnwnw\
wnwnwnwnwnwnwnwn\
nwnwnwnwnwnwnwnw\
wnwnwnwnwnwnwnwn\
nwnwnwnwnwnwnwnw\
wnwnwnwnwnwnwnwn\
nwnwnwnwnwnwnwnw\
wnwnwnwnwnwnwnwn\
nwnwnwnwnwnwnwnw\
wnwnwnwnwnwnwnwn\
nwnwnwnwnwnwnwnw\
wnwnwnwnwnwnwnwn\
nnnnnnnnnnnnnnnn",

"\
nnnnnnn         \
wwwnwnwnnn      \
nnnnwnnnwnnnn   \
nwnwnnwnnnwnnnnn\
wnwnwnnnwnnnwnnn\
nwnwnwnnnnwnnnwn\
wnwnwnwnwnnnwnnn\
nwnwnwnwnnwnnnwn\
wnwnwnwnwnnnwnnn\
nwnwnwnwnwnnnnwn\
wnwnwnwnwnwnwnnn\
nwnwnwnwnwnwnnwn\
wnwnwnwnwnwnwnnn\
nwnwnwnwnwnwnwnn\
wnwnwnwnwnwnwnwn\
nnnnnnnnnnnnnnnn",

"\
         nnnnnnn\
      nnnnnwnwww\
   nnnnnnwnnnnnn\
nnnwnnnwnnnwnwnw\
nwnnnwnnnwnnwnwn\
nnnwnnnwnnnwnwnw\
nwnnnwnnnnwnwnwn\
nnnwnnnwnwnwnwnw\
nwnnnwnnwnwnwnwn\
nnnwnnnwnwnwnwnw\
nwnnnnwnwnwnwnwn\
nnnwnwnwnwnwnwnw\
nwnnwnwnwnwnwnwn\
nnnwnwnwnwnwnwnw\
nnwnwnwnwnwnwnwn\
nnnnnnnnnnnnnnnn"
]

joueur = ["\
     nnnnnn     \
    nrrrrrrn    \
   nnrrrrrrnn   \
  ncnrwwwwrncn  \
  ncnwjjjjwncn  \
  ncjjjjjjjjcn  \
  nccnnnnnnccn  \
   nccnccnccn   \
   nccnccnccn   \
  ncnccccccncn  \
  ncnnnnnnnncn  \
  ncnrrrrrrncn  \
   nrrrrrrrrn   \
   nnnnrnnnn    \
  nncccncccnn   \
   nnnnnnnnn    ",

"\
      jjj       \
     jjjjj      \
     nwwwwn     \
   nnwnnnnwnn   \
  ncnnrrrrnncn  \
  ncnrrrrrrncn  \
  ncnrrrrrrncn  \
  ncnrrrrrrncn  \
   nnnrrrrnnn   \
  ncnnrrrnrncn  \
  ncnnrrnrrncn  \
   nnrnnrrrnn   \
   nrrrrrrrrn   \
   nnnnrrnnnn   \
  nnGGGnnGGGnn  \
   nnnnnnnnnn   ",

"\
      nnnnn     \
    nnrrrrrn    \
   jwwnrrrrrn   \
  jjwwwnrrnrrn  \
 jjjjwwwnncnrrn \
    nnnwnccnrrn \
  nncncnnccnrn  \
  nccnccnccnn   \
   nccccnccn    \
    ncccncnn    \
    nnnnnnrn    \
    nrnccnrrn   \
    nrnccnrrn   \
    nrnnnnnnn   \
    nncccccn    \
   nnnnnnnnnn   ",

"\
     nnnnn      \
    nrrrrrnn    \
   nrrrrrnwwj   \
  nrrnrrnwwwjj  \
 nrrncnnwwwjjjj \
 nrrnccnwnnn    \
  nrnccnncncnn  \
   nnccnccnccn  \
    nccnccccn   \
    nncncccn    \
    nrnnnnnn    \
   nrrnccnrn    \
   nrrnccnrn    \
   nnnnnnnrn    \
    ncccccnn    \
   nnnnnnnnnn   "]